/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkCore.h
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fri, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include <QtCore/QtGlobal>

/// Due to explicit template instantiation
#if defined(WIN32)
	#pragma warning(disable : 4661)
#endif

namespace ritk
{

// Shared library export/import macro for the core group
#if defined(CORE_SHAREDLIB_EXPORT)
#  define CORE_EXPORT Q_DECL_EXPORT
#else
#  define CORE_EXPORT Q_DECL_IMPORT
#endif

// Doxygen group for Core
/** @defgroup Core Core
 *	The core of the RITKFramework
 */
  
} // end namespace ritk
